Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.spi.service
Class ServiceConfigurationError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              com.sun.jersey.spi.service.ServiceConfigurationError

All Implemented Interfaces:
  java.io.Serializable

    public class ServiceConfigurationError

extends java.lang.Error

Error thrown when something goes wrong while looking up service providers. In particular, this error will be thrown in the following situations:

- A concrete provider class cannot be found,
- A concrete provider class cannot be instantiated,
- The format of a provider-configuration file is illegal, or
- An IOException occurs while reading a provider-configuration file.

Since:
  1.3
Version:
  1.7, 03/12/19
Author:
  Mark Reinhold
See Also:
  Serialized Form

Constructor Summary
`ServiceConfigurationError(java.lang.String msg)` Constructs a new instance with the specified detail string.
`ServiceConfigurationError(java.lang.Throwable x)` Constructs a new instance that wraps the specified throwable.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceConfigurationError

    public ServiceConfigurationError(java.lang.String msg)

  Constructs a new instance with the specified detail string.

  Parameters:
    `msg` - the detail string

### ServiceConfigurationError

    public ServiceConfigurationError(java.lang.Throwable x)

  Constructs a new instance that wraps the specified throwable.

  Parameters:
    `x` - the throwable to be wrapped

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.